SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004474SOGo IntegratorBackend Generalpublic2018-06-06 06:162018-08-31 11:29
ReporterMartinL 
Assigned Toludovic 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version31.0.0 
Target VersionFixed in Version 
Summary0004474: sogo-integrator not working on Thunderbird 60 BETA
DescriptionI tested to integrate SOGo with Thunderbird 60 BETA with sogo-integrator 31.0.5 but unfortunately it doesn't seems to work:
- update URL and autoinstall of sogo-connector not working
- auto configuration of calendar and address book not working
- add address book manualy not working
Steps To ReproduceAdapt sogo-integrator for my SOGo server and modify "max-version" to "60.*" in install.rdf for sogo-integrator and sogo-connector and put them on my server with a working update page.

Install Thunderbird 60 from beta channel (https://www.thunderbird.net/fr/channel/ [^])

Configure a mail account with my SOGo user

Download sogo-integrator from my SOGo server and install it on Thunderbird

Restart Thunderbird and have to install manually sogo-connector

Restart Thunderbird

SOGo calendar and address book aren't added and I cannot add a remote address book
Additional InformationIt's working without problems with stable Thunderbird 52.6 on Linux with the same user, plugins and server.

I attach output of error console from Thunderbird.
TagsNo tags attached.
Attached Filestxt file icon sogo-integrator_tb60b_error.txt [^] (3,103 bytes) 2018-06-06 06:16 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0012907)
MartinL (reporter)
2018-06-07 08:19

I did a quick test with version 31.0.6 from the nightly repository and got same errors.
User avatar (0012908)
ludovic (administrator)
2018-06-07 08:28

Some interfaces changed again - we'll have to test and adjust the code.
(0012951)
MartinL (reporter)
2018-07-13 04:16

Do you think that a compatible version could be ready when Thunderbird 60 will be released?
(0012991)
kid (reporter)
2018-08-07 12:57

Thunderbird 60 has been released now.
(0013000)
tyler (reporter)
2018-08-18 01:13
edited on: 2018-08-21 23:01

I searched for integrator https://github.com/inverse-inc?utf8=?&q=integrator [^] and am yet to see a repository for Thunderbird 60. Is this in the works?

https://www.archlinux.org/packages/extra/x86_64/thunderbird [^] Archlinux currently has Thunderbird 60

https://packages.debian.org/sid/thunderbird [^] It is also in Debian's sid repository too so it won't be long before it goes into testing and other distributions use it.

If you're on Windows or MacOSX and you download it from https://www.thunderbird.net [^] then Version 60.0 is what you will get.

User avatar (0013012)
ludovic (administrator)
2018-08-31 11:29

Extensions for Thunderbird v60 are now available from: http://packages.inverse.ca/SOGo/thunderbird/nightly/ [^]

After a few days of testing, we'll make them available as an official release.

- Issue History
Date Modified Username Field Change
2018-06-06 06:16 MartinL New Issue
2018-06-06 06:16 MartinL File Added: sogo-integrator_tb60b_error.txt
2018-06-07 08:19 MartinL Note Added: 0012907
2018-06-07 08:28 ludovic Note Added: 0012908
2018-07-13 04:16 MartinL Note Added: 0012951
2018-08-07 12:57 kid Note Added: 0012991
2018-08-18 01:13 tyler Note Added: 0013000
2018-08-18 01:15 tyler Note Edited: 0013000 View Revisions
2018-08-18 01:17 tyler Note Edited: 0013000 View Revisions
2018-08-21 23:01 tyler Note Edited: 0013000 View Revisions
2018-08-31 11:29 ludovic Note Added: 0013012
2018-08-31 11:29 ludovic Status new => resolved
2018-08-31 11:29 ludovic Resolution open => fixed
2018-08-31 11:29 ludovic Assigned To => ludovic


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker